#!/bin/sh
echo "You are now running PRM with local java env. if the startup failed , you may need to install JDK 1.8 yourself, and then run prm.sh(not start_prm_linux_local_java.sh)"
echo "若本脚本无法正常启动程序，则你需要手动下载JDK 1.8（必须64位，32位的不行），并将安装好的java程序路径加入到PATH中，然后使用prm.sh启动程序"
echo "download JDK Windows:  https://zcdn.parnassusdata.com/amazon-corretto-8.232.09.1-windows-x64.msi"
echo "download JDK Linux:  https://zcdn.parnassusdata.com/java-1.8.0-amazon-corretto-devel-1.8.0_232.b09-1.x86_64.rpm"
echo "find user guide here:http://zcdn.parnassusdata.com/prm04.pdf"
echo "软件使用教程:http://zcdn.parnassusdata.com/prm03.pdf"
echo "this is a gui program , so at least you should enable X11 Display on linux , for example you can run xclock or gnome-terminal"
echo "这是一个GUI程序，当在Linux上使用时，确保能启动远程图形化桌面，例如至少你应当能启动xclock或gnome-terminal"
echo "any error please check ./prm.log"
echo "任何问题请先检查软件目录下的prm.log"


chmod u+x ./jre/linux/bin/java
./jre/linux/bin/java -Dfile.encoding=UTF-8 -jar prm.jar 1>>prm.log 2>&1

